io.vertx.rxjava.cassandra

## Class Mapper<T>

- java.lang.Object
- - io.vertx.rxjava.cassandra.Mapper<T>

-     public class Mapper<T>
      extends Object

  It is like , but adapted for Vert.x.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Mapper>` | `__TYPE_ARG`
    `io.vertx.lang.rx.TypeArg<T>` | `__typeArg_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mapper(Mapper delegate)`
    `Mapper(Mapper delegate, io.vertx.lang.rx.TypeArg<T> typeArg_0)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(List<Object> primaryKey, Handler<AsyncResult<Void>> handler)` Asynchronous delete method based on the column values of the primary key.
    `boolean` | `equals(Object o)`
    `void` | `get(List<Object> primaryKey, Handler<AsyncResult<T>> handler)` Asynchronous get method based on the column values of the primary key.
    `Mapper` | `getDelegate()`
    `int` | `hashCode()`
    `static <T> Mapper<T>` | `newInstance(Mapper arg)`
    `static <T> Mapper<T>` | `newInstance(Mapper arg, io.vertx.lang.rx.TypeArg<T> __typeArg_T)`
    `Single<Void>` | `rxDelete(List<Object> primaryKey)` Asynchronous delete method based on the column values of the primary key.
    `Single<T>` | `rxGet(List<Object> primaryKey)` Asynchronous get method based on the column values of the primary key.
    `Single<Void>` | `rxSave(T entity)` Asynchronous save method.
    `void` | `save(T entity, Handler<AsyncResult<Void>> handler)` Asynchronous save method.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Mapper> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<T> __typeArg_0

  - ### Constructor Detail

    - #### Mapper

          public Mapper(Mapper delegate)

    - #### Mapper

          public Mapper(Mapper delegate,
                        io.vertx.lang.rx.TypeArg<T> typeArg_0)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Mapper getDelegate()

    - #### save

          public void save(T entity,
                           Handler<AsyncResult<Void>> handler)

      Asynchronous save method.
      Parameters:
        `entity` - object to be stored in database
        `handler` - result handler

    - #### rxSave

          public Single<Void> rxSave(T entity)

      Asynchronous save method.
      Parameters:
        `entity` - object to be stored in database
      Returns:

    - #### delete

          public void delete(List<Object> primaryKey,
                             Handler<AsyncResult<Void>> handler)

      Asynchronous delete method based on the column values of the primary key.
      Parameters:
        `primaryKey` - primary key used to find row to delete
        `handler` - result handler

    - #### rxDelete

          public Single<Void> rxDelete(List<Object> primaryKey)

      Asynchronous delete method based on the column values of the primary key.
      Parameters:
        `primaryKey` - primary key used to find row to delete
      Returns:

    - #### get

          public void get(List<Object> primaryKey,
                          Handler<AsyncResult<T>> handler)

      Asynchronous get method based on the column values of the primary key.
      Parameters:
        `primaryKey` - primary key used to retrieve row
        `handler` - result handler

    - #### rxGet

          public Single<T> rxGet(List<Object> primaryKey)

      Asynchronous get method based on the column values of the primary key.
      Parameters:
        `primaryKey` - primary key used to retrieve row
      Returns:

    - #### newInstance

          public static <T> Mapper<T> newInstance(Mapper arg)

    - #### newInstance

          public static <T> Mapper<T> newInstance(Mapper arg,
                                                  io.vertx.lang.rx.TypeArg<T> __typeArg_T)

Copyright © 2019 Eclipse. All rights reserved.